robotpkg/wip/py-prf-gazebo-ros-pkgs bulk build results

Log for py310-prf-gazebo-ros-pkgs-3.0.1r5 on Ubuntu-22.04-x86_64: configure.log (Back)

--- Environment --- _overrides_sysutils_ros_diagnostics_PKGREQD=ros-diagnostics>=1.9<1.10 ros-diagnostics>=1.9<1.10 ros-diagnostics>=1.9<1.10 _override_vars_wip_py_prf_ros_control=PKGREQD PKGREQD PKGREQD _override_vars_interfaces_ros_common_msgs=PKGREQD PKGREQD PKGREQD _overrides_lang_ros_message_generation_PKGREQD=ros-message-generation>=0.4<0.5 ros-message-generation>=0.4<0.5 ros-message-generation>=0.4<0.5 _override_vars_sysutils_py_catkin_pkg=PKGREQD PKGREQD PKGREQD OPSYS=Ubuntu ROS_LANG_DISABLE=geneus:gennodejs LOWER_ARCH=x86_64 _override_vars_devel_ros_cmake_modules=PKGREQD PKGREQD PKGREQD _override_vars_pkgtools_pkg_install=PKGREQD PKGREQD PKGREQD PKGREPO2DEB=/local/robotpkg/sbin/pkgrepo2deb _overrides_interfaces_ros_common_msgs_PKGREQD=ros-common-msgs>=1.12<1.13 ros-common-msgs>=1.12<1.13 ros-common-msgs>=1.12<1.13 LC_TIME=C _overrides_wip_py_prf_ros_control_PKGREQD=py310-prf-ros-control>=0.2 py310-prf-ros-control>=0.2 py310-prf-ros-control>=0.2 GZIP_CMD=/usr/bin/gzip _overrides_sysutils_py_catkin_pkg_PKGREQD=py310-catkin-pkg>=0.2 py310-catkin-pkg>=0.2 py310-catkin-pkg>=0.2 OS_KERNEL_VERSION=5.15.0-48-generic BULKBASE=/opt/openrobots OS_VERSION=22.04 _overrides_devel_ros_cmake_modules_PKGREQD=ros-cmake-modules>=0.3 ros-cmake-modules>=0.3 ros-cmake-modules>=0.3 ECHO_N=echo -n ROS_PACKAGE_PATH=/opt/openrobots _overrides_pkgtools_pkg_install_PKGREQD=pkg_install>=20110805.12 pkg_install>=20110805.12 pkg_install>=20110805.12 ROBOTPKG_BASE=/local/robotpkg PYTHON_LIB=/usr/lib/x86_64-linux-gnu/libpython3.10.so _override_vars_devel_boost_headers=PKGREQD PKGREQD PKGREQD _override_vars_wip_py_prf_gazebo_ros_pkgs=PKGREQD OLDPWD=/local/robotpkg/var/lib/robotpkg/wip/py-sobec _override_vars_lang_ros_genpy=PKGREQD PKGREQD PKGREQD _override_vars_pkgtools_tnftp=PKGREQD PKGREQD PYTHON=/usr/bin/python3.10 _overrides_wip_py_prf_gazebo_ros_pkgs_PKGREQD=py310-prf-gazebo-ros-pkgs-3.0.1r5~!doc _overrides_devel_boost_headers_PKGREQD=boost-headers>=1.60 boost-headers>=1.60 boost-headers>=1.60 _overrides_lang_ros_genpy_PKGREQD=ros-genpy>=0.6<0.7 ros-genpy>=0.6<0.7 ros-genpy>=0.6<0.7 _override_vars_devel_ros_catkin=PKGREQD PKGREQD PKGREQD _overrides_pkgtools_tnftp_PKGREQD=tnftp>=20091122 tnftp>=20091122 MACHINE_ARCH=x86_64 hline="$bf======================================================================$rm" PKG_DBDIR=/opt/openrobots/var/db/robotpkg FC=false EXPECT_TARGETS=fetch install package PATCH=/usr/bin/patch LC_MONETARY=C NOSETESTS=/usr/bin/nosetests3 _overrides_devel_ros_catkin_PKGREQD=py310-ros-catkin>=0.7<0.8 py310-ros-catkin>=0.7<0.8 py310-ros-catkin>=0.7<0.8 _override_vars_devel_ros_class_loader=PKGREQD PKGREQD PKGREQD LC_CTYPE=C PKG_CONFIG=/usr/bin/pkg-config MAKEFLAGS= --no-print-directory -- PKGREQD.cmdline=py310-prf-gazebo-ros-pkgs-3.0.1r5~!doc RECURSIVE_PKGPATH=wip/py-prf-gazebo-ros-pkgs\ tag=Ubuntu-22.04-x86_64 BULK_LOGDIR=/local/robotpkg/var/log/bulk BULKBASE=/opt/openrobots LOCALBASE=/opt/openrobots PKG_DBDIR=/opt/openrobots/var/db/robotpkg EXPECT_TARGETS=fetch\ install\ package _override_vars_graphics_ros_urdf=PKGREQD PKGREQD PKGREQD _override_vars_devel_boost_libs=PKGREQD PKGREQD PKGREQD PKGREQD PKGREQD PKGREQD PKGREQD PKGREQD PKGREQD PKGREQD PKGREQD PKGREQD LOWER_OPSYS=ubuntu CPP=/usr/bin/gcc -E _overrides_devel_ros_class_loader_PKGREQD=ros-class-loader>=0.4<0.5 ros-class-loader>=0.4<0.5 ros-class-loader>=0.4<0.5 _override_vars_pkgtools_digest=PKGREQD PKGREQD _overrides_graphics_ros_urdf_PKGREQD=ros-urdf>=1.13<1.14 ros-urdf>=1.13<1.14 ros-urdf>=1.13<1.14 bf= _overrides_devel_boost_libs_PKGREQD=boost-libs>=1.34.1 boost-libs>=1.34.1 boost-libs>=1.34.1 boost-libs>=1.34.1 boost-libs>=1.34.1 boost-libs>=1.34.1 boost-libs>=1.34.1 boost-libs>=1.34.1 boost-libs>=1.34.1 boost-libs>=1.34.1 boost-libs>=1.34.1 boost-libs>=1.34.1 _override_vars_pkgtools_pkgrepo2deb=PKGREQD PKGREQD _overrides_pkgtools_digest_PKGREQD=digest>=20080510 digest>=20080510 _override_vars_lang_ros_message_runtime=PKGREQD PKGREQD PKGREQD TAR=/usr/bin/tar DIGEST=/opt/openrobots/sbin/robotpkg_digest PYTHONDONTWRITEBYTECODE=1 MACHINE_KERNEL=Linux-5.15.0-48-generic-x86_64 GCC=/usr/bin/gcc LOWER_OS_VERSION=22.04 _overrides_pkgtools_pkgrepo2deb_PKGREQD=pkgrepo2deb>=1.9 pkgrepo2deb>=1.9 _override_vars_middleware_ros_comm=PKGREQD PKGREQD PKGREQD _override_vars_motion_ros_control_toolbox=PKGREQD PKGREQD PKGREQD OWNER_GID=robots _overrides_lang_ros_message_runtime_PKGREQD=ros-message-runtime>=0.4<0.5 ros-message-runtime>=0.4<0.5 ros-message-runtime>=0.4<0.5 PKGTOOLS_VERSION=20110805.12 PKG_CONFIG_PATH=/opt/openrobots/lib/pkgconfig _override_vars_devel_ros_nodelet_core=PKGREQD PKGREQD PKGREQD RECURSIVE_PKGPATH=wip/py-prf-gazebo-ros-pkgs GXX=/usr/bin/g++ _overrides_motion_ros_control_toolbox_PKGREQD=ros-control-toolbox>=1.16<1.20 ros-control-toolbox>=1.16<1.20 ros-control-toolbox>=1.16<1.20 MAKECONF=/opt/robotpkg/etc/robotpkg-wip.conf _overrides_middleware_ros_comm_PKGREQD=ros-comm>=1.13<1.15 ros-comm>=1.13<1.15 ros-comm>=1.13<1.15 _overrides_devel_ros_nodelet_core_PKGREQD=ros-nodelet-core>=1.9<1.10 ros-nodelet-core>=1.9<1.10 ros-nodelet-core>=1.9<1.10 rm= _override_vars_archivers_pax=PKGREQD PKGREQD _override_vars_image_opencv4=PKGREQD PKGREQD PKGREQD ROBOTPKG_TRUSTED_ENV=robotpkg LC_COLLATE=C PYTHON_INCLUDE_CONFIG=/usr/include/python3.10/ OS_KERNEL=Linux PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin _overrides_image_opencv4_PKGREQD=opencv4>=4<5 opencv4>=4<5 opencv4>=4<5 CXXCPP=/usr/bin/g++ -E CMAKE=/usr/bin/cmake _overrides_archivers_pax_PKGREQD=pax pax MAKELEVEL=4 DEB_HOST_MULTIARCH=x86_64-linux-gnu MACHINE_PLATFORM=Ubuntu-22.04-x86_64 _override_vars_math_ros_angles=PKGREQD PKGREQD PKGREQD ROBOTPKG_DIR=/local/robotpkg/var/lib/robotpkg LANG=C TNFTP=/opt/openrobots/sbin/tnftp _overrides_math_ros_angles_PKGREQD=ros-angles>=1.9 ros-angles>=1.9 ros-angles>=1.9 MAKEOVERRIDES=PKGREQD.cmdline=py310-prf-gazebo-ros-pkgs-3.0.1r5~!doc RECURSIVE_PKGPATH=wip/py-prf-gazebo-ros-pkgs\ tag=Ubuntu-22.04-x86_64 BULK_LOGDIR=/local/robotpkg/var/log/bulk BULKBASE=/opt/openrobots LOCALBASE=/opt/openrobots PKG_DBDIR=/opt/openrobots/var/db/robotpkg EXPECT_TARGETS=fetch\ install\ package PYTHON310_INCLUDE=/usr/include/python3.10/ _override_vars_devel_ros_ros=PKGREQD PKGREQD PKGREQD LC_MESSAGES=C tag=Ubuntu-22.04-x86_64 _overrides_devel_ros_ros_PKGREQD=ros-ros>=1.14<1.15 ros-ros>=1.14<1.15 ros-ros>=1.14<1.15 _override_vars_devel_ros_pluginlib=PKGREQD PKGREQD PKGREQD CXX=/usr/bin/g++ _override_vars_pkgtools_pkg_config=PKGREQD PKGREQD PKGREQD LOCALBASE=/opt/openrobots _override_vars_image_ros_vision_opencv=PKGREQD PKGREQD PKGREQD OWNER_UID=rbulk _override_vars_middleware_ros_actionlib=PKGREQD PKGREQD PKGREQD BULK_LOGDIR=/local/robotpkg/var/log/bulk ZCAT=/usr/bin/zcat _overrides_devel_ros_pluginlib_PKGREQD=ros-pluginlib>=1.12<1.13 ros-pluginlib>=1.12<1.13 ros-pluginlib>=1.12<1.13 PAX=/usr/bin/pax LOWER_OS_KERNEL=linux _override_vars_math_ros_geometry=PKGREQD PKGREQD PKGREQD _overrides_pkgtools_pkg_config_PKGREQD=pkg-config>=0.22 pkg-config>=0.22 pkg-config>=0.22 _override_vars_math_eigen3=PKGREQD PKGREQD PKGREQD _overrides_image_ros_vision_opencv_PKGREQD=ros-vision-opencv>=1.13<1.14 ros-vision-opencv>=1.13<1.14 ros-vision-opencv>=1.13<1.14 GPG=/usr/bin/gpg --homedir=/opt/robotpkg/etc/gnupg _overrides_middleware_ros_actionlib_PKGREQD=ros-actionlib>=1.11<1.13 ros-actionlib>=1.11<1.13 ros-actionlib>=1.11<1.13 PWD=/local/robotpkg/var/lib/robotpkg/wip/py-prf-gazebo-ros-pkgs _override_vars_interfaces_ros_std_msgs=PKGREQD PKGREQD PKGREQD _overrides_math_ros_geometry_PKGREQD=ros-geometry>=1.12<1.13 ros-geometry>=1.12<1.13 ros-geometry>=1.12<1.13 PYTHON_INCLUDE=/usr/include/python3.10/ _override_vars_middleware_ros_genmsg=PKGREQD PKGREQD PKGREQD _overrides_math_eigen3_PKGREQD=eigen3>=3.0.0 eigen3>=3.0.0 eigen3>=3.0.0 _overrides_interfaces_ros_std_msgs_PKGREQD=ros-std-msgs>=0.5 ros-std-msgs>=0.5 ros-std-msgs>=0.5 LC_NUMERIC=C _override_vars_image_ros_image_common=PKGREQD PKGREQD PKGREQD PYTHONPATH=/opt/openrobots/lib/python3.10/site-packages _ROBOTPKG_NOW=0927201153 PYTHON310_LIB=/usr/lib/x86_64-linux-gnu/libpython3.10.so MFLAGS=--no-print-directory _overrides_middleware_ros_genmsg_PKGREQD=ros-genmsg>=0.5<0.6 ros-genmsg>=0.5<0.6 ros-genmsg>=0.5<0.6 CC=/usr/bin/gcc _overrides_image_ros_image_common_PKGREQD=ros-image-common>=1.11<1.12 ros-image-common>=1.11<1.12 ros-image-common>=1.11<1.12 _override_vars_sysutils_ros_diagnostics=PKGREQD PKGREQD PKGREQD _override_vars_lang_ros_message_generation=PKGREQD PKGREQD PKGREQD PKG_CONFIG_LIBDIR=/usr/lib/x86_64-linux-gnu/pkgconfig:/usr/lib/pkgconfig:/usr/share/pkgconfig NODENAME=hydra64-ubuntu2204 PYTHON310=/usr/bin/python3.10 --- Running set -e; \ /bin/mkdir -p /local/robotpkg/var/tmp/robotpkg/wip/py-prf-gazebo-ros-pkgs/work/gazebo_ros_pkgs-3.0.1/build; \ cd /local/robotpkg/var/tmp/robotpkg/wip/py-prf-gazebo-ros-pkgs/work/gazebo_ros_pkgs-3.0.1/build && cd ..; \ test ! -h CMakeLists.txt || rm -f CMakeLists.txt; \ /opt/openrobots/bin/catkin_init_workspace Creating symlink "/local/robotpkg/var/tmp/robotpkg/wip/py-prf-gazebo-ros-pkgs/work/gazebo_ros_pkgs-3.0.1/CMakeLists.txt" pointing to "/opt/openrobots/share/catkin/cmake/toplevel.cmake" Running set -e; \ cd /local/robotpkg/var/tmp/robotpkg/wip/py-prf-gazebo-ros-pkgs/work/gazebo_ros_pkgs-3.0.1 && cd '/local/robotpkg/var/tmp/robotpkg/wip/py-prf-gazebo-ros-pkgs/work/gazebo_ros_pkgs-3.0.1/build' && \ /usr/bin/env 'CPPFLAGS=' 'CFLAGS=-pipe -O3 -DNDEBUG' 'LDFLAGS=' 'CXXFLAGS=-pipe -O3 -DNDEBUG' PREFIX='/opt/openrobots' HOME=/local/robotpkg/var/tmp/robotpkg/wip/py-prf-gazebo-ros-pkgs/work PATH='/opt/openrobots/bin:/opt/openrobots/sbin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin' LD_LIBRARY_PATH='' \ /usr/bin/cmake -Dgazebo_INCLUDE_DIRS= -Dgazebo_LIBRARIES= -DPYTHON_EXECUTABLE=/usr/bin/python3.10 -DPYTHON_INCLUDE_DIR=/usr/include/python3.10/ -DPYTHON_INCLUDE_DIR2=/usr/include/python3.10/ -DPYTHON_LIBRARY=/usr/lib/x86_64-linux-gnu/libpython3.10.so -DPython_EXECUTABLE=/usr/bin/python3.10 -DPython3_EXECUTABLE=/usr/bin/python3.10 -DPython2_EXECUTABLE=/bin/false '-DBOOST_INCLUDEDIR=/usr/include' '-DBOOST_LIBRARYDIR=/usr/lib' '-Dgazebo_DIR=/usr/lib/x86_64-linux-gnu/cmake/gazebo/' '-DOpenCV_DIR=/usr/lib/x86_64-linux-gnu/cmake/opencv4/' '-Dcontroller_interface_DIR=/opt/openrobots/share/controller_interface/cmake/' '-Drqt_controller_manager_DIR=/opt/openrobots/share/rqt_controller_manager/cmake/' '-Dcontroller_interface_DIR=/opt/openrobots/share/controller_interface/cmake/' '-Dcontroller_manager_DIR=/opt/openrobots/share/controller_manager/cmake/' '-Dcontroller_manager_msgs_DIR=/opt/openrobots/share/controller_manager_msgs/cmake/' '-Dhardware_interface_DIR=/opt/openrobots/share/hardware_interface/cmake/' '-Dtransmission_interface_DIR=/opt/openrobots/share/transmission_interface/cmake/' '-Dcatkin_DIR=/opt/openrobots/share/catkin/cmake/' '-Dcmake_modules_DIR=/opt/openrobots/share/cmake_modules/cmake/' '-Dgenmsg_DIR=/opt/openrobots/share/genmsg/cmake/' '-Dmessage_generation_DIR=/opt/openrobots/share/message_generation/cmake/' '-Dpluginlib_DIR=/opt/openrobots/share/pluginlib/cmake/' '-Durdf_DIR=/opt/openrobots/share/urdf/cmake/' '-Durdf_parser_plugin_DIR=/opt/openrobots/share/urdf_parser_plugin/cmake/' '-DCMAKE_MODULE_PATH=' '-DCMAKE_PREFIX_PATH=/opt/openrobots' -DCATKIN_DEVEL_PREFIX=/local/robotpkg/var/tmp/robotpkg/wip/py-prf-gazebo-ros-pkgs/work/stage -DNOSETESTS=/usr/bin/nosetests3 -DGTEST_ROOT=/usr -DCATKIN_BUILD_BINARY_PACKAGE=1 -DSETUPTOOLS_DEB_LAYOUT=OFF --no-warn-unused-cli -DUNIX=1 -DCMAKE_VERBOSE_MAKEFILE=ON -DCMAKE_BUILD_TYPE=Release -DCMAKE_INSTALL_PREFIX:PATH=/opt/openrobots -DCMAKE_INSTALL_RPATH:PATH=/opt/openrobots/lib -DCMAKE_INSTALL_RPATH_USE_LINK_PATH=TRUE -DCMAKE_EXE_LINKER_FLAGS=' ' -DCMAKE_MAKE_PROGRAM=make -DCMAKE_C_FLAGS=' -pipe -O3 -DNDEBUG' -DCMAKE_C_FLAGS_DEBUG= -DCMAKE_C_FLAGS_RELEASE= -DCMAKE_CXX_FLAGS=' -pipe -O3 -DNDEBUG ' -DCMAKE_CXX_FLAGS_DEBUG= -DCMAKE_CXX_FLAGS_RELEASE= -DPKGINFODIR=info -DPKGMANDIR=man .. CMake Warning (dev) in CMakeLists.txt: Not searching for unused variables given on the command line. No project() command is present. The top-level CMakeLists.txt file must contain a literal, direct call to the project() command. Add a line of code such as project(ProjectName) near the top of the file, but after cmake_minimum_required(). CMake is pretending there is a "project(Project)" command on the first line. This warning is for project developers. Use -Wno-dev to suppress it. -- The C compiler identification is GNU 11.2.0 -- The CXX compiler identification is GNU 11.2.0 -- Detecting C compiler ABI info -- Detecting C compiler ABI info - done -- Check for working C compiler: /usr/bin/gcc - skipped -- Detecting C compile features -- Detecting C compile features - done -- Detecting CXX compiler ABI info -- Detecting CXX compiler ABI info - done -- Check for working CXX compiler: /usr/bin/g++ - skipped -- Detecting CXX compile features -- Detecting CXX compile features - done CMake Deprecation Warning at CMakeLists.txt:4 (cmake_minimum_required): Compatibility with CMake < 2.8.12 will be removed from a future version of CMake. Update the VERSION argument value or use a ... suffix to tell CMake that the project does not need compatibility with older versions. -- Using CATKIN_DEVEL_PREFIX: /local/robotpkg/var/tmp/robotpkg/wip/py-prf-gazebo-ros-pkgs/work/stage -- Using CMAKE_PREFIX_PATH: /opt/openrobots -- This workspace overlays: /opt/openrobots -- Found PythonInterp: /usr/bin/python3.10 (found version "3.10.6") -- Using PYTHON_EXECUTABLE: /usr/bin/python3.10 -- Using default Python package layout -- Using empy: /usr/bin/empy -- Using CATKIN_ENABLE_TESTING: ON -- Skip enable_testing() when building binary package -- Using CATKIN_TEST_RESULTS_DIR: /local/robotpkg/var/tmp/robotpkg/wip/py-prf-gazebo-ros-pkgs/work/gazebo_ros_pkgs-3.0.1/build/test_results -- Found gtest: gtests will be built -- Using Python nosetests: /usr/bin/nosetests3 -- catkin 0.7.16 -- BUILD_SHARED_LIBS is on -- BUILD_SHARED_LIBS is on -- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -- ~~ traversing 6 packages in topological order: -- ~~ - gazebo_dev -- ~~ - gazebo_ros_pkgs (metapackage) -- ~~ - gazebo_msgs -- ~~ - gazebo_ros -- ~~ - gazebo_plugins -- ~~ - gazebo_ros_control -- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -- +++ processing catkin package: 'gazebo_dev' -- ==> add_subdirectory(gazebo_dev) CMake Deprecation Warning at gazebo_dev/CMakeLists.txt:1 (cmake_minimum_required): Compatibility with CMake < 2.8.12 will be removed from a future version of CMake. Update the VERSION argument value or use a ... suffix to tell CMake that the project does not need compatibility with older versions. -- +++ processing catkin metapackage: 'gazebo_ros_pkgs' -- ==> add_subdirectory(gazebo_ros_pkgs) CMake Deprecation Warning at gazebo_ros_pkgs/CMakeLists.txt:1 (cmake_minimum_required): Compatibility with CMake < 2.8.12 will be removed from a future version of CMake. Update the VERSION argument value or use a ... suffix to tell CMake that the project does not need compatibility with older versions. -- +++ processing catkin package: 'gazebo_msgs' -- ==> add_subdirectory(gazebo_msgs) CMake Deprecation Warning at gazebo_msgs/CMakeLists.txt:1 (cmake_minimum_required): Compatibility with CMake < 2.8.12 will be removed from a future version of CMake. Update the VERSION argument value or use a ... suffix to tell CMake that the project does not need compatibility with older versions. -- Disabling the following message generators: geneus;gennodejs -- Using these message generators: gencpp;genlisp;genpy -- gazebo_msgs: 9 messages, 23 services -- +++ processing catkin package: 'gazebo_ros' -- ==> add_subdirectory(gazebo_ros) CMake Deprecation Warning at gazebo_ros/CMakeLists.txt:1 (cmake_minimum_required): Compatibility with CMake < 2.8.12 will be removed from a future version of CMake. Update the VERSION argument value or use a ... suffix to tell CMake that the project does not need compatibility with older versions. CMake Warning (dev) at /usr/share/cmake-3.22/Modules/FindPackageHandleStandardArgs.cmake:438 (message): The package name passed to `find_package_handle_standard_args` (PkgConfig) does not match the name of the calling package (gazebo). This can lead to -- Found PkgConfig: /usr/bin/pkg-config (found version "0.29.2") problems in calling code that expects `find_package` result variables (e.g., `_FOUND`) to follow a certain pattern. Call Stack (most recent call first): /usr/share/cmake-3.22/Modules/FindPkgConfig.cmake:99 (find_package_handle_standard_args) /usr/lib/x86_64-linux-gnu/cmake/gazebo/gazebo-config.cmake:72 (include) gazebo_dev/cmake/gazebo_dev-extras.cmake:2 (find_package) /local/robotpkg/var/tmp/robotpkg/wip/py-prf-gazebo-ros-pkgs/work/stage/share/gazebo_dev/cmake/gazebo_devConfig.cmake:199 (include) /opt/openrobots/share/catkin/cmake/catkinConfig.cmake:76 (find_package) gazebo_ros/CMakeLists.txt:4 (find_package) This warning is for project developers. Use -Wno-dev to suppress it. -- Checking for module 'bullet>=2.82' -- Found bullet, version 3.05 -- Found fcl: /usr/include (found suitable version "0.7.0", minimum required is "0.5.0") -- Found assimp: /usr/include (found version "5.2.0") -- Found DART: /usr/include (Required is at least version "6.6") found components: dart -- Found Boost: /usr/lib/x86_64-linux-gnu/cmake/Boost-1.74.0/BoostConfig.cmake (found suitable version "1.74.0", minimum required is "1.40.0") found components: thread system filesystem program_options regex iostreams date_time -- Found Protobuf: /usr/lib/x86_64-linux-gnu/libprotobuf.so (found version "3.12.4") -- Looking for ignition-math6 -- found version 6.10.0 -- Searching for dependencies of ignition-math6 -- Looking for OGRE... -- OGRE_PREFIX_WATCH changed. -- Checking for module 'OGRE' -- Found OGRE, version 1.9.0 -- Found Ogre Ghadamon (1.9.0) -- Found OGRE: optimized;/usr/lib/x86_64-linux-gnu/libOgreMain.so;debug;/usr/lib/x86_64-linux-gnu/libOgreMain.so -- Looking for OGRE_Paging... -- Found OGRE_Paging: optimized;/usr/lib/x86_64-linux-gnu/libOgrePaging.so;debug;/usr/lib/x86_64-linux-gnu/libOgrePaging.so -- Looking for OGRE_Terrain... -- Found OGRE_Terrain: optimized;/usr/lib/x86_64-linux-gnu/libOgreTerrain.so;debug;/usr/lib/x86_64-linux-gnu/libOgreTerrain.so -- Looking for OGRE_Property... -- Found OGRE_Property: optimized;/usr/lib/x86_64-linux-gnu/libOgreProperty.so;debug;/usr/lib/x86_64-linux-gnu/libOgreProperty.so -- Looking for OGRE_RTShaderSystem... -- Found OGRE_RTShaderSystem: optimized;/usr/lib/x86_64-linux-gnu/libOgreRTShaderSystem.so;debug;/usr/lib/x86_64-linux-gnu/libOgreRTShaderSystem.so -- Looking for OGRE_Volume... -- Found OGRE_Volume: optimized;/usr/lib/x86_64-linux-gnu/libOgreVolume.so;debug;/usr/lib/x86_64-linux-gnu/libOgreVolume.so -- Looking for OGRE_Overlay... -- Found OGRE_Overlay: optimized;/usr/lib/x86_64-linux-gnu/libOgreOverlay.so;debug;/usr/lib/x86_64-linux-gnu/libOgreOverlay.so -- Looking for ignition-math6 -- found version 6.10.0 -- Looking for ignition-transport8 -- found version 8.2.1 -- Searching for dependencies of ignition-transport8 -- Found Protobuf: /usr/lib/x86_64-linux-gnu/libprotobuf.so (found suitable version "3.12.4", minimum required is "3") -- Config-file not installed for ZeroMQ -- checking for pkg-config -- Checking for module 'libzmq >= 4' -- Found libzmq , version 4.3.4 -- Found ZeroMQ: TRUE (Required is at least version "4") -- Checking for module 'uuid' -- Found uuid, version 2.37.2 -- Found UUID: TRUE -- Looking for ignition-msgs5 -- found version 5.8.1 -- Searching for dependencies of ignition-msgs5 -- Looking for ignition-math6 -- found version 6.10.0 -- Checking for module 'tinyxml2' -- Found tinyxml2, version 9.0.0 -- Looking for ignition-msgs5 -- found version 5.8.1 -- Looking for ignition-common3 -- found version 3.14.0 -- Searching for dependencies of ignition-common3 -- Looking for dlfcn.h - found -- Looking for libdl - found -- Found DL: TRUE -- Found tinyobjloader: /usr/lib/x86_64-linux-gnu/cmake/tinyobjloader/tinyobjloader-config.cmake (found version "2.0.0") -- Searching for component [graphics] -- Looking for ignition-common3-graphics -- found version 3.14.0 -- Searching for dependencies of ignition-common3-graphics -- Looking for ignition-math6 -- found version 6.10.0 -- Looking for ignition-fuel_tools4 -- found version 4.4.0 -- Searching for dependencies of ignition-fuel_tools4 -- Found CURL: /usr/lib/x86_64-linux-gnu/libcurl.so (found version "7.81.0") -- Checking for module 'jsoncpp' -- Found jsoncpp, version 1.9.5 -- Found JSONCPP: TRUE -- Checking for module 'yaml-0.1' -- Found yaml-0.1, version 0.2.2 -- Found YAML: TRUE -- Checking for module 'libzip' -- Found libzip, version 1.7.3 -- Found ZIP: TRUE -- Looking for ignition-common3 -- found version 3.14.0 -- Looking for ignition-math6 -- found version 6.10.0 -- Looking for ignition-msgs5 -- found version 5.8.1 -- Gazebo version: 11.10 -- Disabling the following message generators: geneus;gennodejs -- Using these message generators: gencpp;genlisp;genpy -- Checking for module 'libxml-2.0' -- Found libxml-2.0, version 2.9.13 -- Found Boost: /usr/lib/x86_64-linux-gnu/cmake/Boost-1.74.0/BoostConfig.cmake (found version "1.74.0") found components: thread -- Found TinyXML: /usr/lib/x86_64-linux-gnu/libtinyxml.so /opt/openrobots/share/catkin/cmake//interrogate_setup_dot_py.py:40: DeprecationWarning: The distutils package is deprecated and slated for removal in Python 3.12. Use setuptools or check PEP 632 for potential alternatives import distutils.core -- +++ processing catkin package: 'gazebo_plugins' -- ==> add_subdirectory(gazebo_plugins) CMake Deprecation Warning at gazebo_plugins/CMakeLists.txt:1 (cmake_minimum_required): Compatibility with CMake < 2.8.12 will be removed from a future version of CMake. Update the VERSION argument value or use a ... suffix to tell CMake that the project does not need compatibility with older versions. CMake Warning (dev) at /usr/share/cmake-3.22/Modules/FindPackageHandleStandardArgs.cmake:438 (message): The package name passed to `find_package_handle_standard_args` (PkgConfig) does not match the name of the calling package (gazebo). This can lead to problems in calling code that expects `find_package` result variables (e.g., `_FOUND`) to follow a certain pattern. Call Stack (most recent call first): /usr/share/cmake-3.22/Modules/FindPkgConfig.cmake:99 (find_package_handle_standard_args) /usr/lib/x86_64-linux-gnu/cmake/gazebo/gazebo-config.cmake:72 (include) gazebo_dev/cmake/gazebo_dev-extras.cmake:2 (find_package) /local/robotpkg/var/tmp/robotpkg/wip/py-prf-gazebo-ros-pkgs/work/stage/share/gazebo_dev/cmake/gazebo_devConfig.cmake:199 (include) /opt/openrobots/share/catkin/cmake/catkinConfig.cmake:76 (find_package) gazebo_plugins/CMakeLists.txt:6 (find_package) This warning is for project developers. Use -Wno-dev to suppress it. -- Found DART: /usr/include (Required is at least version "6.6") found components: dart -- Found Boost: /usr/lib/x86_64-linux-gnu/cmake/Boost-1.74.0/BoostConfig.cmake (found suitable version "1.74.0", minimum required is "1.40.0") found components: thread system filesystem program_options regex iostreams date_time -- Found Protobuf: /usr/lib/x86_64-linux-gnu/libprotobuf.so (found version "3.12.4") -- Looking for ignition-math6 -- found version 6.10.0 -- Searching for dependencies of ignition-math6 -- Looking for OGRE... -- Found Ogre Ghadamon (1.9.0) -- Found OGRE: optimized;/usr/lib/x86_64-linux-gnu/libOgreMain.so;debug;/usr/lib/x86_64-linux-gnu/libOgreMain.so -- Looking for OGRE_Paging... -- Found OGRE_Paging: optimized;/usr/lib/x86_64-linux-gnu/libOgrePaging.so;debug;/usr/lib/x86_64-linux-gnu/libOgrePaging.so -- Looking for OGRE_Terrain... -- Found OGRE_Terrain: optimized;/usr/lib/x86_64-linux-gnu/libOgreTerrain.so;debug;/usr/lib/x86_64-linux-gnu/libOgreTerrain.so -- Looking for OGRE_Property... -- Found OGRE_Property: optimized;/usr/lib/x86_64-linux-gnu/libOgreProperty.so;debug;/usr/lib/x86_64-linux-gnu/libOgreProperty.so -- Looking for OGRE_RTShaderSystem... -- Found OGRE_RTShaderSystem: optimized;/usr/lib/x86_64-linux-gnu/libOgreRTShaderSystem.so;debug;/usr/lib/x86_64-linux-gnu/libOgreRTShaderSystem.so -- Looking for OGRE_Volume... -- Found OGRE_Volume: optimized;/usr/lib/x86_64-linux-gnu/libOgreVolume.so;debug;/usr/lib/x86_64-linux-gnu/libOgreVolume.so -- Looking for OGRE_Overlay... -- Found OGRE_Overlay: optimized;/usr/lib/x86_64-linux-gnu/libOgreOverlay.so;debug;/usr/lib/x86_64-linux-gnu/libOgreOverlay.so -- Looking for ignition-math6 -- found version 6.10.0 -- Looking for ignition-transport8 -- found version 8.2.1 -- Searching for dependencies of ignition-transport8 -- Found Protobuf: /usr/lib/x86_64-linux-gnu/libprotobuf.so (found suitable version "3.12.4", minimum required is "3") -- Config-file not installed for ZeroMQ -- checking for pkg-config -- Checking for module 'libzmq >= 4' -- Found libzmq , version 4.3.4 -- Checking for module 'uuid' -- Found uuid, version 2.37.2 -- Looking for ignition-msgs5 -- found version 5.8.1 -- Searching for dependencies of ignition-msgs5 -- Looking for ignition-math6 -- found version 6.10.0 -- Checking for module 'tinyxml2' -- Found tinyxml2, version 9.0.0 -- Looking for ignition-msgs5 -- found version 5.8.1 -- Looking for ignition-common3 -- found version 3.14.0 -- Searching for dependencies of ignition-common3 -- Looking for dlfcn.h - found -- Looking for libdl - found -- Searching for component [graphics] -- Looking for ignition-common3-graphics -- found version 3.14.0 -- Searching for dependencies of ignition-common3-graphics -- Looking for ignition-math6 -- found version 6.10.0 -- Looking for ignition-fuel_tools4 -- found version 4.4.0 -- Searching for dependencies of ignition-fuel_tools4 -- Checking for module 'jsoncpp' -- Found jsoncpp, version 1.9.5 -- Checking for module 'yaml-0.1' -- Found yaml-0.1, version 0.2.2 -- Checking for module 'libzip' -- Found libzip, version 1.7.3 -- Looking for ignition-common3 -- found version 3.14.0 -- Looking for ignition-math6 -- found version 6.10.0 -- Looking for ignition-msgs5 -- found version 5.8.1 -- Gazebo version: 11.10 -- Disabling the following message generators: geneus;gennodejs -- Using these message generators: gencpp;genlisp;genpy -- Checking for module 'OGRE' -- Found OGRE, version 1.9.0 -- Checking for module 'OGRE-Terrain' -- Found OGRE-Terrain, version 1.9.0 -- Checking for module 'OGRE-Paging' -- Found OGRE-Paging, version 1.9.0 -- Found Boost: /usr/lib/x86_64-linux-gnu/cmake/Boost-1.74.0/BoostConfig.cmake (found version "1.74.0") found components: thread /opt/openrobots/share/catkin/cmake//interrogate_setup_dot_py.py:40: DeprecationWarning: The distutils package is deprecated and slated for removal in Python 3.12. Use setuptools or check PEP 632 for potential alternatives import distutils.core -- +++ processing catkin package: 'gazebo_ros_control' -- ==> add_subdirectory(gazebo_ros_control) CMake Deprecation Warning at gazebo_ros_control/CMakeLists.txt:1 (cmake_minimum_required): Compatibility with CMake < 2.8.12 will be removed from a future version of CMake. Update the VERSION argument value or use a ... suffix to tell CMake that the project does not need compatibility with older versions. -- Performing Test COMPILER_SUPPORTS_CXX14 -- Performing Test COMPILER_SUPPORTS_CXX14 - Success -- Performing Test COMPILER_SUPPORTS_CXX11 -- Performing Test COMPILER_SUPPORTS_CXX11 - Success -- Performing Test COMPILER_SUPPORTS_CXX0X -- Performing Test COMPILER_SUPPORTS_CXX0X - Success -- The compiler /usr/bin/g++ has C++14 support. -- Disabling the following message generators: geneus;gennodejs -- Using these message generators: gencpp;genlisp;genpy CMake Warning (dev) at /usr/share/cmake-3.22/Modules/FindPackageHandleStandardArgs.cmake:438 (message): The package name passed to `find_package_handle_standard_args` (PkgConfig) does not match the name of the calling package (gazebo). This can lead to problems in calling code that expects `find_package` result variables (e.g., `_FOUND`) to follow a certain pattern. Call Stack (most recent call first): /usr/share/cmake-3.22/Modules/FindPkgConfig.cmake:99 (find_package_handle_standard_args) /usr/lib/x86_64-linux-gnu/cmake/gazebo/gazebo-config.cmake:72 (include) gazebo_ros_control/CMakeLists.txt:37 (find_package) This warning is for project developers. Use -Wno-dev to suppress it. -- Found DART: /usr/include (Required is at least version "6.6") found components: dart -- Found Boost: /usr/lib/x86_64-linux-gnu/cmake/Boost-1.74.0/BoostConfig.cmake (found suitable version "1.74.0", minimum required is "1.40.0") found components: thread system filesystem program_options regex iostreams date_time -- Found Protobuf: /usr/lib/x86_64-linux-gnu/libprotobuf.so (found version "3.12.4") -- Looking for ignition-math6 -- found version 6.10.0 -- Searching for dependencies of ignition-math6 -- Looking for OGRE... -- Found Ogre Ghadamon (1.9.0) -- Looking for OGRE_Paging... -- Found OGRE_Paging: optimized;/usr/lib/x86_64-linux-gnu/libOgrePaging.so;debug;/usr/lib/x86_64-linux-gnu/libOgrePaging.so -- Looking for OGRE_Terrain... -- Found OGRE_Terrain: optimized;/usr/lib/x86_64-linux-gnu/libOgreTerrain.so;debug;/usr/lib/x86_64-linux-gnu/libOgreTerrain.so -- Looking for OGRE_Property... -- Found OGRE_Property: optimized;/usr/lib/x86_64-linux-gnu/libOgreProperty.so;debug;/usr/lib/x86_64-linux-gnu/libOgreProperty.so -- Looking for OGRE_RTShaderSystem... -- Found OGRE_RTShaderSystem: optimized;/usr/lib/x86_64-linux-gnu/libOgreRTShaderSystem.so;debug;/usr/lib/x86_64-linux-gnu/libOgreRTShaderSystem.so -- Looking for OGRE_Volume... -- Found OGRE_Volume: optimized;/usr/lib/x86_64-linux-gnu/libOgreVolume.so;debug;/usr/lib/x86_64-linux-gnu/libOgreVolume.so -- Looking for OGRE_Overlay... -- Found OGRE_Overlay: optimized;/usr/lib/x86_64-linux-gnu/libOgreOverlay.so;debug;/usr/lib/x86_64-linux-gnu/libOgreOverlay.so -- Looking for ignition-math6 -- found version 6.10.0 -- Looking for ignition-transport8 -- found version 8.2.1 -- Searching for dependencies of ignition-transport8 -- Found Protobuf: /usr/lib/x86_64-linux-gnu/libprotobuf.so (found suitable version "3.12.4", minimum required is "3") -- Config-file not installed for ZeroMQ -- checking for pkg-config -- Checking for module 'libzmq >= 4' -- Found libzmq , version 4.3.4 -- Checking for module 'uuid' -- Found uuid, version 2.37.2 -- Looking for ignition-msgs5 -- found version 5.8.1 -- Searching for dependencies of ignition-msgs5 -- Looking for ignition-math6 -- found version 6.10.0 -- Checking for module 'tinyxml2' -- Found tinyxml2, version 9.0.0 -- Looking for ignition-msgs5 -- found version 5.8.1 -- Looking for ignition-common3 -- found version 3.14.0 -- Searching for dependencies of ignition-common3 -- Looking for dlfcn.h - found -- Looking for libdl - found -- Searching for component [graphics] -- Looking for ignition-common3-graphics -- found version 3.14.0 -- Searching for dependencies of ignition-common3-graphics -- Looking for ignition-math6 -- found version 6.10.0 -- Looking for ignition-fuel_tools4 -- found version 4.4.0 -- Searching for dependencies of ignition-fuel_tools4 -- Checking for module 'jsoncpp' -- Found jsoncpp, version 1.9.5 -- Checking for module 'yaml-0.1' -- Found yaml-0.1, version 0.2.2 -- Checking for module 'libzip' -- Found libzip, version 1.7.3 -- Looking for ignition-common3 -- found version 3.14.0 -- Looking for ignition-math6 -- found version 6.10.0 -- Looking for ignition-msgs5 -- found version 5.8.1 -- Configuring done -- Generating done -- Build files have been written to: /local/robotpkg/var/tmp/robotpkg/wip/py-prf-gazebo-ros-pkgs/work/gazebo_ros_pkgs-3.0.1/build